Este contenido requiere el juego base Krater en Steam para poder jugar.

Fecha de lanzamiento: 23 de Oct, 2012
Etiquetas populares para este producto:

Inicia sesión para añadir este juego a tu lista de deseados o marcarlo como que no estás interesado.

Contenido descargable

Este contenido requiere el juego base Krater en Steam para poder jugar.

Comprar Krater - Mayhem Mk13 Character

 

Acerca de este contenido

Mayhem Mk13, the pinnacle of aggressive assault technologies formed from the knowledge extracts of a Mutant Slayer’s brain and the latest cybernetic limbs collected from the Underside. The Mayhem Mk13 will be your tank’s best friend close up and your medikus’ saviour from afar. Dare to delve deeper on high-risk excavation ventures where the Mayhem Mk13′s tactical flexibility will be the difference between life and death.

More on the Mk13:

The first of many planned cybernetic characters, the Mayhem Mk13 offers a new and exciting add-on for your team. It is a Hybrid melee assassin/ranged DPS class that combines high damage output in both close quarters and from a distance. He is also well suited for co-op since his guided strike ability is able to take out very powerful enemies entangled by other characters abilities.

Requisitos del sistema

    Mínimo:

    • SO: Windows Vista / Windows 7
    • Procesador: Dual Core a 2.4 GHz
    • Memoria: 2 GB de RAM
    • Gráficos: Compatible con Shader 4.0 (mínimo: nVidia GeForce 8xxx, AMD Radeon 2xxx)
    • DirectX®: 10
    • Disco Duro: 5 GB de espacio libre
    • Sonido: Compatible con DirectX
    • Adicional: Krater necesita DirectX 10, una gráfica compatible con DirectX 10 y Windows Vista o Windows 7. Windows XP y DirectX 9 no están soportados

    Recomendado:

    • SO: Windows 7 (64 bits)
    • Procesador: Quad core de Intel o AMD
    • Memoria: 4 GB de RAM
    • Gráficos: nVidia o ATI con 1 GB de VRAM y compatible con DirectX 11, ATI Radeon HD6870 o superior, nVidia GeForce GTX 460 o superior
    • Disco Duro: 5 MB de espacio libre
    • Otros requisitos: Conexión a internet de banda ancha
    • Adicional: Krater necesita DirectX 10, una gráfica compatible con DirectX 10 y Windows Vista o Windows 7. Windows XP y DirectX 9 no están soportados
Aún no hay análisis públicos para este producto
Puedes escribir tu propio análisis sobre este producto para compartir tus experiencias con la comunidad. Utiliza la zona que hay sobre los botones de compra en esta página para escribirlo.